/* $Header:aton.c 12.0$ */
/* $ACIS:aton.c 12.0$ */
/* $Source: /ibm/acis/usr/sys/standca/RCS/aton.c,v $ */

#ifndef lint
static char *rcsid = "$Header:aton.c 12.0$";
#endif

aton(ptr)
	register char *ptr;
{
	if (*ptr == '+' || *ptr == '-')
		return (atoi(ptr));
	if (*ptr == '0' && ptr[1] == 'x')
		return (atox(ptr + 2));
	return (atox(ptr));
}

